﻿@model MerchantViewModel

@{
    ViewData["Title"] = "Add Merchant";
}

<h2>@ViewData["Title"]</h2>

<div class="row">
    <section>
        <form id="add-merchant-form" asp-controller="Email" asp-action="AddMerchant" method="post">
            <div class="col-md-6">
                <h4>Add merchant to database.</h4>
                <hr />
                <div class="form-group">
                    <label asp-for="@Model.Name">Name</label>
                    <input asp-for="@Model.Name" class="form-control" />
                    <span asp-validation-for="@Model.Name" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="@Model.PersonalEmail">Email</label>
                    <input asp-for="@Model.PersonalEmail" class="form-control" />
                    <span asp-validation-for="@Model.PersonalEmail" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Add Merchant</button>
                </div>
            </div>
        </form>
    </section>
</div>

@section Scripts {
    <script src="~/js/AddMerchant.js"></script>
    @await Html.PartialAsync("_ValidationScriptsPartial")
}
